Bug 1290725 - SimplePagedResults -- in the search error case, simple paged results slot was not released.
SimplePagedResults -- in the search error case, simple paged results slot was...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
7.0
Unspecified Unspecified
urgent Severity urgent
: rc
: ---
Assigned To: Noriko Hosoi
Viktor Ashirov
: ZStream
Depends On: 1290242
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-11 03:55 EST by Jan Kurik
Modified: 2016-02-16 05:50 EST (History)
6 users (show)

See Also:
Fixed In Version: 389-ds-base-1.3.4.0-22.el7_2
Doc Type: Bug Fix
Doc Text:
Previously, if a simple paged results search failed in the back end, the simple paged results slot was not released. Consequently, the simple paged results slots in a connection object could be accumulated. With this update, the simple paged results slot is released correctly when a search fails, and unused simple paged results slots are no longer left in a connection object.
Story Points: ---
Clone Of: 1290242
Environment:
Last Closed: 2016-02-16 05:50:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kurik 2015-12-11 03:55:20 EST
This bug has been copied from bug #1290242 and has been proposed
to be backported to 7.2 z-stream (EUS).
Comment 4 Simon Pichugin 2016-01-11 10:12:53 EST
[root@serv ~]# rpm -qa | grep 389
389-ds-base-1.3.4.0-23.el7_2.x86_64
389-ds-base-libs-1.3.4.0-23.el7_2.x86_64

Verification steps:
1. Install and configure the Directory Server WITHOUT a suffix "o=redhat";

2. Compile paged_def.c after adjusting the Directory Manager's password and server port.
Note: the suffix o=redhat should not be adjusted.
https://fedorahosted.org/389/attachment/ticket/47707/paged_def.c
[root@serv ~]# cc paged_def.c  -o testpagedsearch -lldap

3. Run the compiled paged_def.
[root@serv ~]# ./testpagedsearch

4. The access log shouldn't contain the result line with "err=32" AND a large pr_idx. E.g.,
> [..] conn=1 op=130870 RESULT err=32 tag=101 nentries=0 etime=0 notes=P pr_idx=43623
[root@serv ~]# grep "err=32" /var/log/dirsrv/slapd-serv/access
[root@serv ~]# echo $?
1

Marking as verified.
Comment 6 errata-xmlrpc 2016-02-16 05:50:30 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-0204.html

Note You need to log in before you can comment on or make changes to this bug.